function AjaxUtil(){

	//XMLHTTPの生成を行う
	this.createXmlHttp = function(){
	  var xmlhttp = false;
	  try {
		  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	  } catch (e) {
	    try {
	    	xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	    } catch (e) {
	    }
	  }
	  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
		  xmlhttp =new XMLHttpRequest();
	  }
	  return xmlhttp;
	}

	//非同期で指定のURLに要求をかけ、resoultObjに指定したオブジェクトのInnerHTMLを書き返る
	//postDataは無視される
	this.get = function(url, resoultObj){
		var ajaxObj = new Object();
		ajaxObj[url] = new Object();

		ajaxObj[url]["url"] = url;
		ajaxObj[url]["postData"] = "";
		ajaxObj[url]["xmlHttp"] = this.createXmlHttp();
		ajaxObj[url]["resoultObj"] = resoultObj;

	  if(ajaxObj[url]["xmlHttp"].readyState > 0){
	    ajaxObj[url]["xmlHttp"].abort();
	  }

	  ajaxObj[url]["xmlHttp"].onreadystatechange =
			function(){
			  try{
			    if(ajaxObj[url]["xmlHttp"].readyState == 4){
			      if(ajaxObj[url]["xmlHttp"].status >= 200){
				      ajaxObj[url]["resoultObj"].innerHTML = ajaxObj[url]["xmlHttp"].responseText;
			        ajaxObj[url] = null;
			      }
			    }
			  }catch(e){
			    alert("get error\n" + e.number + "\n" + e.description);
			  }
			};

	  ajaxObj[url]["xmlHttp"].open("GET", ajaxObj[url]["url"], true);
	  ajaxObj[url]["xmlHttp"].send(null);
	}

	//非同期で指定のURLに要求をかけ、resoultObjに指定したオブジェクトのInnerHTMLを書き返る（POST版）
	this.post = function(url, postData, resoultObj, isSync){
	  var ajaxObj = new Object();
	  ajaxObj[url] = new Object();

	  ajaxObj[url]["url"] = url;
	  ajaxObj[url]["postData"] = postData;
	  ajaxObj[url]["xmlHttp"] = this.createXmlHttp();
	  ajaxObj[url]["resoultObj"] = resoultObj;

	  if(ajaxObj[url]["xmlHttp"].readyState > 0){
	    ajaxObj[url]["xmlHttp"].abort();
	  }

	  ajaxObj[url]["xmlHttp"].onreadystatechange =
	    function(){
	      try{
	        if(ajaxObj[url]["xmlHttp"].readyState == 4){
	          if(ajaxObj[url]["xmlHttp"].status >= 200){
	            ajaxObj[url]["resoultObj"].innerHTML = ajaxObj[url]["xmlHttp"].responseText;
	            ajaxObj[url] = null;
	          }
	        }
	      }catch(e){
	        alert("post error\n" +e.number + "\n" + e.description);
	      }
	    };
	  ajaxObj[url]["xmlHttp"].open("POST", ajaxObj[url]["url"], isSync);
	  ajaxObj[url]["xmlHttp"].setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");
	  ajaxObj[url]["xmlHttp"].send(postData);
	}
}
